package com.example.autoservice.cars.api;

import com.fasterxml.jackson.annotation.JsonProperty;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;


public class CarsDto {
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;
    @NotNull
    private String mark;
    @NotNull
    private String model;
    @NotNull
    private String serial_number;
    @NotNull
    @Min(1)
    private Long clientId;

    public String getMark(){
        return mark;
    }
    
    public void setMark(String mark){
        this.mark = mark;
    }

    public String getModel(){
        return model;
    }

    public void setModel(String model){
        this.model = model;
    }

    public String getSerial_Number(){
        return serial_number;
    }

    public void setSerial_Number(String serial_number){
        this.serial_number = serial_number;
    }

    public Long getClientId(){
        return clientId;
    }

    public void setClientId(Long clientId){
        this.clientId = clientId;
    }
}
