package com.example.autoservice.clients.model;

import com.example.autoservice.core.model.BaseEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;

@Entity
@Table(name = "clients")
public class ClientsEntity extends BaseEntity{
    @Column(nullable = false, unique = false, length = 30)
    private String first_name;
    @Column(nullable = false, unique = false, length = 25)
    private String last_name;
    @Column(nullable = true, unique = false, length = 10)
    private String middle_name;
    @Column(nullable = true, unique = false)
    private String date_birthday;
    @Column(nullable = false, unique = true, length = 12)
    private String phone_number;

    public ClientsEntity(){
    }

    public ClientsEntity(String first_name, String last_name, String middle_name, String date_birthday, String phone_number){
        this.first_name = first_name;
        this.last_name = last_name;
        this.middle_name = middle_name;
        this.date_birthday = date_birthday;
        this.phone_number = phone_number;
    }

    public String getFirst_Name(){
        return first_name;
    }

    public void setFirst_Name(String first_name){
        this.first_name = first_name;
    }

    public String getLast_Name(){
        return last_name;
    }

    public void setLast_Name(String last_name){
        this.last_name = last_name;
    }

    public String getMiddle_Name(){
        return middle_name;
    }

    public void setMiddle_Name(String middle_name){
        this.middle_name = middle_name;
    }

    public String getDate_Birthday(){
        return date_birthday;
    }

    public void setDate_Birthday(String date_birthday){
        this.date_birthday = date_birthday;
    }

    public String getPhone_Number(){
        return phone_number;
    }

    public void setPhone_Number(String phone_number){
        this.phone_number = phone_number;
    }
}
