package com.example.autoservice.clients.api;

import com.fasterxml.jackson.annotation.JsonProperty;

import jakarta.validation.constraints.NotNull;

public class ClientsDto{
    @JsonProperty(access = JsonProperty.Access.READ_ONLY)
    private Long id;
    @NotNull
    private String first_name;
    @NotNull
    private String last_name;
    private String middle_name;
    private String date_birthday;
    @NotNull
    private String phone_number;

    public Long getId(){
        return id;
    }

    public void setId(Long id){
        this.id = id;
    }

    public String getFirst_name(){
        return first_name;
    }

    public void setFirst_name(String firstname){
        this.first_name = firstname;
    }

    public String getLast_name(){
        return last_name;
    }

    public void setLast_name(String lastname){
        this.last_name = lastname;
    }

    public String getMiddle_name(){
        return middle_name;
    }

    public void setMiddle_name(String middlename){
        this.middle_name = middlename;
    }

    public String getDate_birthday(){
        return date_birthday;
    }

    public void setDate_birthday(String datebirthday){
        date_birthday = datebirthday;
    }

    public String getPhone_number(){
        return phone_number;
    }

    public void setPhone_number(String phonenumber){
        this.phone_number = phonenumber;
    }
}